GET
/v1/datasets/{datasetId}betaapiKeyworkspace
When to use
Read the current configuration, version, status, and tables for a keyed dataset.
For agents
Use the dataset ID returned by create. Refresh after writes when another process may also update the dataset.
Example
import { PermuteClient } from '@permute/sdk';
const orgClient = new PermuteClient({
apiKey: process.env.PERMUTE_API_KEY!,
});
const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);
const result = await client.datasets.get('data_quickbooks123');Response
{
"data": {
"type": "custom",
"id": "data_quickbooks123",
"sourceId": "data_quickbooks123",
"key": "quickbooks",
"name": "QuickBooks",
"context": [
"quickbooks"
],
"status": "completed",
"version": 3,
"tables": [
{
"name": "orders",
"rowCount": 250,
"columnCount": 3
},
{
"name": "customers",
"rowCount": 80,
"columnCount": 2
}
],
"createdAt": "2026-06-27T12:00:00.000Z",
"updatedAt": "2026-06-27T12:05:00.000Z"
}
}